<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head>
<meta content="text/html; charset=ISO-8859-1" http-equiv="content-type"><title>Tdct Undo</title>

<meta content="Rolf Keitel" name="author"></head>
<body>
<h2>Undo Facilities</h2>
<br>
<a href="#JSONInfoNodes"></a>tdct contains two undo facilities:<br><br><h3>Undoing Drawing Actions</h3>This section applies only to the schematic editor.<br><br>The first item on the <span style="font-style: italic;">Menu &gt;&gt; Edit</span>
menu allows undoing previous drawing actions (but not zooming). The
menu item text shows what is being undone. This can be repeated until
the the menu item text shows 'nothing to undo'.<br><br>Note that zoom operations are not part of this undo sequence.<br><br><h3>Undoing / Redoing Zoom</h3>This section applies both to the schematic editor and the symbol editor.<br><br>Every time a zoom rectangle is used to zoom to a part of the drawing, the viewport rectangle is remembered (up to 10 times).<br>Note that zoom and pan operations using the mouse-wheel and the arrow keys are <span style="font-weight: bold; font-style: italic;">not</span> remembered.<br><br>Typing CTRL-0 allows to cycle backward through the remembered viewports.<br><br>Typing 0 reverts to the original viewport of the drawing.<br><br>
</body></html>